QGIS Application - Bug report #8148
add warning when trying add to canvas a view without a primary key
2013-06-24 07:21 AM - Giovanni Manghi

Status: Closed

Priority: High

Assignee:

Category: DB Manager

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 16976
Description

When trying to add in the canvas a view without a primary key using DB Manager it will fail "silently"**

A error message is issued in the log, but the user can easily miss it.

When adding such view using the standard "add postgis layer" dialog now QGIS issues a much more clear warning that would be nice to
be used also for DB Manager:
dbname="training’ host=mapserver.uevora.pt port=5432 user ='training password="training' ssimode =disable key='gid_to' srid=3753 type=LINESTRING table="training". "distanda_min_vertices” (st_shortestine) sql= is an invalid layer and cannot be loaded. 0'
Please chedk the message log for further info.

Associated revisions

Revision 0a875d3e - 2014-10-29 01:13 AM - Jiirgen Fischer

db manager: show error message in bar when adding a layer fails (fixes #8148)

History

#1 - 2014-06-20 12:22 PM - Giovanni Manghi

- Affected QGIS version set to master

- Priority changed from Normal to High

- Tracker changed from Feature request to Bug report

- Crashes QGIS or corrupts data set to No

- Target version changed from Future Release - Nice to have to Future Release - High Priority

this is a bug, not a feature request.

I should even be a blocker as in the past it was working as expected (I add that many users are finding this new behavior very confusing, especially

because in the past was more straightforward).

add a clear message is the least can be done, allowing add views without pk it would be the right thing to do.

#2 - 2014-10-26 09:30 AM - Jiirgen Fischer
- Subject changed from DB Manager, add warning when trying add to canvas a view without a primary key to add warning when trying add to canvas a

view without a primary key

#3 - 2014-10-28 05:55 PM - Jiirgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"0a875d3e819750fa4e0240a3d48459ac615bb03b".
